Package org.apache.sling.cms.core.publication

## Class StandalonePublicationManager

- java.lang.Object
- - org.apache.sling.cms.core.publication.StandalonePublicationManager

All Implemented Interfaces:
  `PublicationManager`

Direct Known Subclasses:
  `ContentDistributionPublicationManager`

    public class StandalonePublicationManager
    extends Object
    implements PublicationManager

Implementation of the PublicationManager interface for standalone instances.

### Constructor Summary

Constructors
`StandalonePublicationManager​(org.osgi.service.event.EventAdmin eventAdmin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PUBLICATION_MODE` `getPublicationMode()`
`void` `publish​(PublishableResource resource)`
`void` `unpublish​(PublishableResource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandalonePublicationManager

    public StandalonePublicationManager​(org.osgi.service.event.EventAdmin eventAdmin)

### Method Detail

#### publish

    public void publish​(PublishableResource resource)
                 throws PublicationException

Specified by:
  `publish` in interface `PublicationManager`
Throws:
  `PublicationException`

#### unpublish

    public void unpublish​(PublishableResource resource)
                   throws PublicationException

Specified by:
  `unpublish` in interface `PublicationManager`
Throws:
  `PublicationException`

#### getPublicationMode

    public PUBLICATION_MODE getPublicationMode()

Specified by:
  `getPublicationMode` in interface `PublicationManager`